var page = new WebPage();
var system = require('system');
var env = system.env;
var args = system.args;

page.onConsoleMessage = function(msg) {
    console.log(msg);
};

var steps = [
    function() {
	page.open('http://www.facebook.com');
    },
    function() {
	page.evaluate(function(user, pass) {
	    var form = document.getElementById('login_form');
	    form.elements['email'].value = user;
	    form.elements['pass'].value = pass;
	    form.submit();
	    return;
        }, env['USER'], env['PASS']);
	if(env['DEBUG'] == 'true') {
	    page.render('login.png');
	    page.evaluate(function() {
    		console.log(document.querySelectorAll('html')[0].outerHTML);
		return;
	    });
	}
    },
    function() {
	page.evaluate(function(msg) {
	    var forms = document.getElementsByClassName('_559p');
	    var i;
	    for(i = 0; i < forms.length; i++) {
		if(forms[i].elements['xhpc_message'] != null) {
		    forms[i].elements['xhpc_message'].value = msg;
		    forms[i].elements['xhpc_message'].focus();
		    return;
		}
	    }
	    return;
	}, args[1]);
	page.sendEvent('keypress', page.event.key.Enter, null, null, 0);
    },
    function() {
	if(env['DEBUG'] == 'true') {
	    page.render('timeline.png');
	    page.evaluate(function() {
    		console.log(document.querySelectorAll('html')[0].outerHTML);
		return;
	    });
	}
	page.evaluate(function() {
	    var bs = document.getElementsByTagName('button');
	    var i;
	    for(i = 0; i < bs.length; i++) {
		if(bs[i].innerHTML.contains('Post')) {
		    bs[i].focus();
		    return;
		}
	    }
	    return;
	});
	page.sendEvent('keypress', page.event.key.Enter, null, null, 0);
    }
];

var step = 1;

steps[0]();
interval = setInterval(function() {
    if(typeof steps[step] === 'function') {
	steps[step]();
	step++;
    } else {
	phantom.exit();
    }
}, 10000);
